Bug 179608 - [patch] chinese/ttfm leftovers in dependent fonts
Summary: [patch] chinese/ttfm leftovers in dependent fonts
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Rong-En Fan
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-06-16 08:20 UTC by Antoine Brodin
Modified: 2013-06-19 17:10 UTC (History)
1 user (show)

See Also:


Attachments
ttfm.diff (562 bytes, patch)
2013-06-16 08:20 UTC, Antoine Brodin
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Antoine Brodin freebsd_committer 2013-06-16 08:20:00 UTC
Currently,  ports using chinese/ttfm/Makefile.ttf have leftovers on uninstall.

For instance:

=======================<phase: deinstall      >============================
===>  Deinstalling for chinese/arphicttf
===>   Deinstalling zh-arphicttf-2.11_2
...
=========================================================================
====>> Checking for extra files and directories
====>> Files or directories left over:
%%XFONTSDIR%%/fonts.dir
%%XFONTSDIR%%/fonts.scale
@dirrm %%XFONTSDIR%%

Analysis shows that the last font is not removed from fonts.dir

Fix: The attached patch is enough to workaround this problem, it was tested with:
poudriere bulk -t chinese/fireflyttf chinese/CJKUnifonts chinese/opendesktop-fonts chinese/moettf chinese/arphicttf chinese/CNS11643-font chinese/cwtexttf vietnamese/urwvn vietnamese/vietunicode-hannom vietnamese/vietunicode-trichlor vietnamese/vietunicode-web1

How-To-Repeat: poudriere bulk -t chinese/arphicttf
Comment 1 Edwin Groothuis freebsd_committer 2013-06-16 08:20:08 UTC
Responsible Changed
From-To: freebsd-ports-bugs->rafan

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 dfilter service freebsd_committer 2013-06-19 17:03:23 UTC
Author: rafan
Date: Wed Jun 19 16:03:12 2013
New Revision: 321284
URL: http://svnweb.freebsd.org/changeset/ports/321284

Log:
  - Fix ttfm's xttfm module to really update fonts.{dir,scale} to reflect
    the fonts installed
  - Bump PORTREVISION for all ports using chinese/ttfm/Makefile.ttf
  
  PR:             ports/179608
  Reported by:    Antoine Brodin (antoine@)
  Tested by:      Antoine Brodin (antoine@)

Modified:
  head/chinese/CJKUnifonts/Makefile
  head/chinese/CNS11643-font/Makefile
  head/chinese/arphicttf/Makefile
  head/chinese/cwtexttf/Makefile
  head/chinese/fireflyttf/Makefile
  head/chinese/moettf/Makefile
  head/chinese/opendesktop-fonts/Makefile
  head/chinese/ttfm/Makefile
  head/chinese/ttfm/files/patch-modules_xttfm.ttfm
  head/vietnamese/urwvn/Makefile
  head/vietnamese/vietunicode-hannom/Makefile
  head/vietnamese/vietunicode-trichlor/Makefile
  head/vietnamese/vietunicode-web1/Makefile

Modified: head/chinese/CJKUnifonts/Makefile
==============================================================================
--- head/chinese/CJKUnifonts/Makefile	Wed Jun 19 15:43:56 2013	(r321283)
+++ head/chinese/CJKUnifonts/Makefile	Wed Jun 19 16:03:12 2013	(r321284)
@@ -7,6 +7,7 @@
 
 PORTNAME=	CJKUnifonts
 PORTVERSION=	0.2.20080216.1
+PORTREVISION=	1
 CATEGORIES=	chinese x11-fonts
 MASTER_SITES=	LOCAL/chinsan/fonts/:uming \
 		http://ftp.debian.org/debian/pool/main/t/ttf-arphic-uming/:uming \

Modified: head/chinese/CNS11643-font/Makefile
==============================================================================
--- head/chinese/CNS11643-font/Makefile	Wed Jun 19 15:43:56 2013	(r321283)
+++ head/chinese/CNS11643-font/Makefile	Wed Jun 19 16:03:12 2013	(r321284)
@@ -3,7 +3,7 @@
 
 PORTNAME=	CNS11643-font
 PORTVERSION=	98.1
-PORTREVISION=	2
+PORTREVISION=	3
 CATEGORIES=	chinese x11-fonts
 MASTER_SITES=	http://www.cns11643.gov.tw/AIDB/file.do?path=download/%E5%AD%97%E5%9E%8B%E4%B8%8B%E8%BC%89%601q%60%E5%85%A8%E5%AD%97%E5%BA%AB%E6%AD%A3%E6%A5%B7%E9%AB%94/name/:kai \
 		http://www.cns11643.gov.tw/AIDB/file.do?path=download/%E5%AD%97%E5%9E%8B%E4%B8%8B%E8%BC%89%601q%60%E5%85%A8%E5%AD%97%E5%BA%AB%E6%AD%A3%E5%AE%8B%E9%AB%94/name/:sung

Modified: head/chinese/arphicttf/Makefile
==============================================================================
--- head/chinese/arphicttf/Makefile	Wed Jun 19 15:43:56 2013	(r321283)
+++ head/chinese/arphicttf/Makefile	Wed Jun 19 16:03:12 2013	(r321284)
@@ -7,7 +7,7 @@
 
 PORTNAME=	arphicttf
 PORTVERSION=	2.11
-PORTREVISION=	2
+PORTREVISION=	3
 CATEGORIES=	chinese x11-fonts
 MASTER_SITES=	LOCAL/rafan/chinese/
 DISTNAME=	${PKGNAMEPREFIX}${PORTNAME}-${PORTVERSION}

Modified: head/chinese/cwtexttf/Makefile
==============================================================================
--- head/chinese/cwtexttf/Makefile	Wed Jun 19 15:43:56 2013	(r321283)
+++ head/chinese/cwtexttf/Makefile	Wed Jun 19 16:03:12 2013	(r321284)
@@ -7,7 +7,7 @@
 
 PORTNAME=	cwtexttf
 PORTVERSION=	1.2
-PORTREVISION=	1
+PORTREVISION=	2
 CATEGORIES=	chinese x11-fonts
 MASTER_SITES=	http://ftp.wustl.edu/pub/FreeBSD/distfiles/ \
 		http://ftp.jaist.ac.jp/pub/FreeBSD/distfiles/

Modified: head/chinese/fireflyttf/Makefile
==============================================================================
--- head/chinese/fireflyttf/Makefile	Wed Jun 19 15:43:56 2013	(r321283)
+++ head/chinese/fireflyttf/Makefile	Wed Jun 19 16:03:12 2013	(r321284)
@@ -3,7 +3,7 @@
 
 PORTNAME=	fireflyttf
 PORTVERSION=	1.3.0
-PORTREVISION=	3
+PORTREVISION=	4
 CATEGORIES=	chinese x11-fonts
 MASTER_SITES?=	http://firefly.idv.tw/apt/firefly-font/ \
 		http://www.study-area.org/apt/firefly-font/

Modified: head/chinese/moettf/Makefile
==============================================================================
--- head/chinese/moettf/Makefile	Wed Jun 19 15:43:56 2013	(r321283)
+++ head/chinese/moettf/Makefile	Wed Jun 19 16:03:12 2013	(r321284)
@@ -7,7 +7,7 @@
 
 PORTNAME=	moettf
 PORTVERSION=	2.0
-PORTREVISION=	2
+PORTREVISION=	3
 CATEGORIES=	chinese x11-fonts
 MASTER_SITES=	http://ftp.riken.go.jp/pub/FreeBSD/distfiles/zh-moettf/ \
 		http://ftp.math.uni-bielefeld.de/pub/unix/FreeBSD/distfiles/zh-moettf/

Modified: head/chinese/opendesktop-fonts/Makefile
==============================================================================
--- head/chinese/opendesktop-fonts/Makefile	Wed Jun 19 15:43:56 2013	(r321283)
+++ head/chinese/opendesktop-fonts/Makefile	Wed Jun 19 16:03:12 2013	(r321284)
@@ -7,7 +7,7 @@
 
 PORTNAME=	opendesktop-fonts
 PORTVERSION=	1.4.2
-PORTREVISION=	1
+PORTREVISION=	2
 CATEGORIES=	chinese x11-fonts
 MASTER_SITES?=	ftp://ftp.opendesktop.org.tw/odp/ODOFonts/OpenFonts/ \
 		LOCAL/chinsan/fonts

Modified: head/chinese/ttfm/Makefile
==============================================================================
--- head/chinese/ttfm/Makefile	Wed Jun 19 15:43:56 2013	(r321283)
+++ head/chinese/ttfm/Makefile	Wed Jun 19 16:03:12 2013	(r321284)
@@ -7,7 +7,7 @@
 
 PORTNAME=	ttfm
 PORTVERSION=	0.9.5
-PORTREVISION=	3
+PORTREVISION=	4
 CATEGORIES=	chinese print
 MASTER_SITES=	LOCAL/rafan/chinese
 

Modified: head/chinese/ttfm/files/patch-modules_xttfm.ttfm
==============================================================================
--- head/chinese/ttfm/files/patch-modules_xttfm.ttfm	Wed Jun 19 15:43:56 2013	(r321283)
+++ head/chinese/ttfm/files/patch-modules_xttfm.ttfm	Wed Jun 19 16:03:12 2013	(r321284)
@@ -1,5 +1,5 @@
---- ./modules/xttfm.ttfm.orig	Tue Nov  4 07:08:32 2003
-+++ ./modules/xttfm.ttfm	Mon Nov 27 02:06:25 2006
+--- modules/xttfm.ttfm.orig	2003-11-04 07:08:32.000000000 +0800
++++ modules/xttfm.ttfm	2013-06-18 01:32:45.000000000 +0800
 @@ -25,8 +25,8 @@
  
  # Global constants
@@ -11,9 +11,16 @@
  export PATH; PATH=/bin:/sbin:/usr/bin:/usr/sbin:$PREFIX/bin:$PREFIX/sbin:$X11BASE/bin
  export TEMPFILE; TEMPFILE="`mktemp /tmp/ttfm.tmpXXX`"
  export DefaultFontPath; DefaultFontPath=$PREFIX/share/fonts/TrueType
-@@ -87,15 +87,11 @@
+@@ -86,16 +86,18 @@
+     for f in "$@"; do
          targetname=`basename $f`
  
++        # Remove font files.
++        # We only remove those fonts in $DefaultFontPath which are symbolic.
++        filetype=`file "$DefaultFontPath/$targetname" |grep -e "^$DefaultFontPath/$targetname: symbolic link to"`
++        [ ! "X$filetype" = "X" ] && rm -f "$DefaultFontPath/$targetname"
++        rm -f "$XTTFFONTPATH/$targetname"
++
          # Update fonts.scale
 -        rm -f $TEMPFILE
 -        if [ ! -r $XTTFFONTPATH/fonts.scale ]; then
@@ -30,6 +37,19 @@
          if [ -r $XTTFFONTPATH/../encodings/large/encodings.dir ]; then
              mkfontdir -e $XTTFFONTPATH/../encodings/large $XTTFFONTPATH
          else
+@@ -107,12 +109,6 @@
+         ALIASPATTERN=`eval echo $ALIASPATTERN`
+         sed -e "/$ALIASPATTERN/d" $XTTFFONTPATH/fonts.alias > $TEMPFILE
+         mv -f $TEMPFILE $XTTFFONTPATH/fonts.alias
+-
+-        # Remove font files.
+-        # We only remove those fonts in $DefaultFontPath which are symbolic.
+-        filetype=`file "$DefaultFontPath/$targetname" |grep -e "^$DefaultFontPath/$targetname: symbolic link to"`
+-        [ ! "X$filetype" = "X" ] && rm -f "$DefaultFontPath/$targetname"
+-        rm -f "$XTTFFONTPATH/$targetname"
+     done
+ }
+ 
 @@ -133,29 +129,11 @@
      fontencoding=${10}
  

Modified: head/vietnamese/urwvn/Makefile
==============================================================================
--- head/vietnamese/urwvn/Makefile	Wed Jun 19 15:43:56 2013	(r321283)
+++ head/vietnamese/urwvn/Makefile	Wed Jun 19 16:03:12 2013	(r321284)
@@ -7,7 +7,7 @@
 
 PORTNAME=	urwvn
 PORTVERSION=	3.04
-PORTREVISION=	1
+PORTREVISION=	2
 CATEGORIES=	vietnamese x11-fonts
 MASTER_SITES=	http://vntex.org/urwvn/download/ LOCAL/chinsan
 DISTNAME=	urwvn-${PORTVERSION}-ttf

Modified: head/vietnamese/vietunicode-hannom/Makefile
==============================================================================
--- head/vietnamese/vietunicode-hannom/Makefile	Wed Jun 19 15:43:56 2013	(r321283)
+++ head/vietnamese/vietunicode-hannom/Makefile	Wed Jun 19 16:03:12 2013	(r321284)
@@ -7,7 +7,7 @@
 
 PORTNAME=	vietunicode-hannom
 PORTVERSION=	2005.02.06
-PORTREVISION=	1
+PORTREVISION=	2
 CATEGORIES=	vietnamese x11-fonts
 MASTER_SITES=	SF/vietunicode/hannom/hannom%20v2005
 DISTNAME=	hannom

Modified: head/vietnamese/vietunicode-trichlor/Makefile
==============================================================================
--- head/vietnamese/vietunicode-trichlor/Makefile	Wed Jun 19 15:43:56 2013	(r321283)
+++ head/vietnamese/vietunicode-trichlor/Makefile	Wed Jun 19 16:03:12 2013	(r321284)
@@ -7,7 +7,7 @@
 
 PORTNAME=	vietunicode-trichlor
 PORTVERSION=	2004.04.30
-PORTREVISION=	1
+PORTREVISION=	2
 CATEGORIES=	vietnamese x11-fonts
 MASTER_SITES=	SF/vietunicode/VietFonts-TriChlor/TrichlorSet%20v2004
 DISTNAME=	VietFonts_TriChlor_ttf

Modified: head/vietnamese/vietunicode-web1/Makefile
==============================================================================
--- head/vietnamese/vietunicode-web1/Makefile	Wed Jun 19 15:43:56 2013	(r321283)
+++ head/vietnamese/vietunicode-web1/Makefile	Wed Jun 19 16:03:12 2013	(r321284)
@@ -7,7 +7,7 @@
 
 PORTNAME=	vietunicode-web1
 PORTVERSION=	2004.04.30
-PORTREVISION=	1
+PORTREVISION=	2
 CATEGORIES=	vietnamese x11-fonts
 MASTER_SITES=	SF/vietunicode/VietFonts-Web1/Web1%20Package%20v2004
 DISTNAME=	VietFontsWeb1_ttf
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 3 Rong-En Fan freebsd_committer 2013-06-19 17:03:31 UTC
State Changed
From-To: open->closed

Committed. Thanks!